Bug 68731 - atalkd fails and doesnt seem to use conf files
Summary: atalkd fails and doesnt seem to use conf files
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netatalk   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-12 22:58 UTC by David Kaplan
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-12 22:58:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /etc/rc.d/init.d/atalk (432 bytes, patch)
2002-07-17 23:17 UTC, David Kaplan
no flags Details | Diff
/etc/rc.d/init.d/atalk patch (379 bytes, patch)
2002-07-17 23:25 UTC, David Kaplan
no flags Details | Diff

Description David Kaplan 2002-07-12 22:58:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I recently upgraded to netatalk-1.5.2-3 and have had problems with atalkd and
with which uams are used.  I made sure to start with the conf files that came
with that package and I also tried the rawhide package with the same results.

When I start atalk I get the following log messages:

Jul 12 15:40:11 erizo atalkd: socket: Address family not supported by protocol
Jul 12 15:40:11 erizo atalkd: socket: Address family not supported by protocol
Jul 12 15:40:11 erizo atalkd: atalkd: can't get interfaces, exiting.
Jul 12 15:40:11 erizo atalk: atalkd startup failed
Jul 12 15:40:11 erizo papd[23228]: restart (1.5.2)
Jul 12 15:40:11 erizo atalk: papd startup succeeded
Jul 12 15:40:11 erizo afpd[23233]: main: atp_open: Address family not supported
by protocol
Jul 12 15:40:11 erizo afpd[23233]: ASIP started on 169.237.149.60:548(0) (1.5.2)
Jul 12 15:40:11 erizo afpd[23233]: uam: uams_clrtxt.so loaded
Jul 12 15:40:11 erizo afpd[23233]: uam: uams_dhx.so loaded
Jul 12 15:40:11 erizo afpd[23233]: uam: "DHCAST128" available
Jul 12 15:40:11 erizo afpd[23233]: uam: "Cleartxt Passwrd" available
Jul 12 15:40:11 erizo atalk: afpd startup succeeded

The first few show that atalkd is failing for some reason I dont understand.

The last few show that afpd is starting, but with undesired UAMS.  I have the
following line in afpd.conf which should only allow dhx_pam authentification:

- -transall -uamlist uams_dhx_pam.so -nosavepassword

yet clear text passwords still seem to be around (I tried a mac client - it
tried to connect with clear text passwords).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start atalk
2.ps aux
3.look for daemons running
4.tail -n 20 /var/log/messages
	

Actual Results:  atalkd fails to start and clear text passwords are allowed

Expected Results:  atalkd start and only dhx authentification

Additional info:

Comment 1 Phil Knirsch 2002-07-17 14:11:31 UTC
If tried it here with the same version of the package and it works fine:

Jul 17 16:00:18 hamburg afpd[1986]: hamburg:AFPServer@* started on 65280.37:128
(1.5.3.1)
Jul 17 16:00:18 hamburg afpd[1986]: ASIP started on 172.16.2.151:548(2) (1.5.3.1)
Jul 17 16:00:18 hamburg afpd[1986]: uam: uams_dhx.so loaded
Jul 17 16:00:18 hamburg afpd[1986]: uam: "DHCAST128" available

Have you edited the file

  /etc/atalk/afpd.conf

or another one? As this is the correct file to edit and is being used by afpd.

Which kernel are you using? As the error messages should only appear if the
kernel doesn't support the appletalk protocol.

Read ya, Phil

Comment 2 David Kaplan 2002-07-17 19:28:17 UTC
I downloaded the source for netatalk-1.5.3.1-4 and I compiled it myself.  That
fixed the problem with the UAMS, but I still cant get atalkd going.  

I am using kernel-2.4.18-5 (the standard one from Redhat).  Perhaps someone
forgot to compile in atalk support.  How would I find that out?

Thanks, David


Comment 3 David Kaplan 2002-07-17 21:37:04 UTC
I forgot to mention that I am using the SMP kernel.

Comment 4 David Kaplan 2002-07-17 23:17:42 UTC
Created attachment 65706 [details]
patch to /etc/rc.d/init.d/atalk

Comment 5 David Kaplan 2002-07-17 23:19:19 UTC
It seems that /etc/rc.d/init.d/atalk was not loading the appletalk module.  I
was under the impression that this shouldn't be necessary (it should
automatically load I thought), but for some reason it is.

The patch I just attached seems to fix the problem by loading the module just
before starting the daemon.


Comment 6 David Kaplan 2002-07-17 23:25:08 UTC
Created attachment 65707 [details]
/etc/rc.d/init.d/atalk patch

Comment 7 David Kaplan 2002-07-17 23:26:43 UTC
I just attached a second patch file.  This one is more general than the first.

Comment 8 David Kaplan 2002-07-17 23:52:18 UTC
FOUND IT!  My modules.conf had the following line:

alias net-pf-5 off  

Dont know how it got there, but apparently it blocks automatic loading of the
appletalk module (how one would know that I have no idea).  

I commented out the line and all is good.


Note You need to log in before you can comment on or make changes to this bug.